Lavalite package that provides performance management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litepci/performance`.

    "litepci/performance": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litepci\Performance\Providers\PerformanceServiceProvider::class,

And also add it to alias

    'Performance'  => Litepci\Performance\Facades\Performance::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litepci\\PerformanceTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litepci\Performance\Providers\PerformanceServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litepci\Performance\Providers\PerformanceServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litepci\Performance\Providers\PerformanceServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/performance/{modulename}

**User**

    http://path-to-route-folder/user/performance/{modulename}

**Public**

    http://path-to-route-folder/performances


### API endpoints

**List**

    http://path-to-route-folder/api/user/performance/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/performance/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/performance/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/performance/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/performance/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/performance/{modulename}/{slug}
    METHOD: GET