<?php

namespace Litepci\Performance\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PerformanceTransformer extends TransformerAbstract
{
    public function transform(\Litepci\Performance\Models\Performance $performance)
    {
        return [
            'id'                => $performance->getRouteKey(),
            'key'               => [
                'public'    => $performance->getPublicKey(),
                'route'     => $performance->getRouteKey(),
            ], 
            'user_id'           => $performance->user_id,
            'title'             => $performance->title,
            'year'              => $performance->year,
            'slug'              => $performance->slug,
            'deleted_at'        => $performance->deleted_at,
            'url'               => [
                'public'    => trans_url('performance/'.$performance->getPublicKey()),
                'user'      => guard_url('performance/performance/'.$performance->getRouteKey()),
            ], 
            'status'            => trans('app.'.$performance->status),
            'created_at'        => format_date($performance->created_at),
            'updated_at'        => format_date($performance->updated_at),
        ];
    }
}